Package: org.codehaus.groovy.tools.shell.commands

## [Groovy] Class RecordCommand

- org.codehaus.groovy.tools.shell.commands.RecordCommand

- The 'record' command.

  Authors:
    Jason Dillon

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `COMMAND_NAME` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class ComplexCommandSupport` | `defaultFunction, functions`
    `class CommandSupport` | `NEWLINE, io, log, messages, registry, shell`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `def` | `do_start`
    `def` | `do_status`
    `def` | `do_stop`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `RecordCommand (Groovysh shell)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `boolean` | `isRecording()`
    `` | `def` | `recordError(Throwable cause)`
    `` | `def` | `recordInput(String line)`
    `` | `def` | `recordResult(Object result)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ComplexCommandSupport` | `createCompleters, execute, executeFunction, loadFunction`
    `class CommandSupport` | `alias, assertNoArguments, createCompleters, fail, fail, getAliases, getBinding, getBuffer, getBuffers, getClassLoader, getCompleter, getDescription, getHelp, getHidden, getHistory, getImports, getName, getShortcut, getUsage, getVariables`

- - ### Field Detail

    - #### public static final String COMMAND_NAME

  - ### Property Detail

    - #### def do_start

    - #### def do_status

    - #### def do_stop

  - ### Constructor Detail

    - #### RecordCommand(Groovysh shell)

  - ### Method Detail

    - #### boolean isRecording()

    - #### def recordError(Throwable cause)

    - #### def recordInput(String line)

    - #### def recordResult(Object result)